<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
<style type="text/css">
/* 누군가의 첫번째 자식으로 있는 div에 적용 */
div:first-child {
	background-color: yellow;
}

/* 누군가의 첫번째 자식으로 있는 p에 적용 */
p:first-child {
	background-color: orange;
}

/* div의 자식중 첫번째 자식에 적용 */
div>:first-child {
	color: red;
}

/* div의 자식중 두번째 자식에 적용 */
div>:nth-child(2) {
	color: green;
}
</style>
</head>
<body>
	<div>
	 <!-- p요소가 div요소의 두번째 자식요소로 사용이 
                 되었기 때문에  여기에는 스타일이 적용이 안됨 -->
		<span>div의 span요소</span>
		<p>div의 두번째 자식</p>
		<p>div의 세번째 자식</p>
	</div>

	<div>
	<!-- div요소의 첫번째 자식요소로 p요소가 사용이
                 되였기 때문에  여기에는 스타일이 적용이 됨 -->
		<p>두번째 div요소의 자식</p>
	</div>
</body>
</html>